Search Unity

  1. We are migrating the Unity Forums to Unity Discussions. On July 12, the Unity Forums will become read-only.

    Please, do not make any changes to your username or email addresses at id.unity.com during this transition time.

    It's still possible to reply to existing private message conversations during the migration, but any new replies you post will be missing after the main migration is complete. We'll do our best to migrate these messages in a follow-up step.

    On July 15, Unity Discussions will become read-only until July 18, when the new design and the migrated forum contents will go live.


    Read our full announcement for more information and let us know if you have any questions.

Is Sequences only in the Cinematic Studio Sample?

Discussion in 'Virtual Production' started by hunz, Aug 31, 2021.

  1. hunz

    hunz

    Joined:
    Oct 16, 2012
    Posts:
    29
    Hello,

    Was about to bring this into a project I have setup and wondered if you can import it as a package or if you need to start fresh import this sample and then start from there?

    Can you just DEL the wonderful Mich-L stuff easy enought?

    TY!
     
  2. akent99

    akent99

    Joined:
    Jan 14, 2018
    Posts:
    588
    It's been released as a package now (it's out of beta). I did not grab the demo scene to get it.
     
    hunz likes this.
  3. marc_tanenbaum

    marc_tanenbaum

    Unity Technologies

    Joined:
    Oct 22, 2014
    Posts:
    637
    Note the Sequences package is available in 2020, but not listed Under
    Packages: Unity Registry
    . To add it, find the + button in the upper right of Package Manager, select 'Add package from git URL...' then type in 'com.unity.sequences'.
     
  4. akent99

    akent99

    Joined:
    Jan 14, 2018
    Posts:
    588
    I don't know all the versioning magic with Unity - I am running 2021.2.0b5 at the moment. I load up Sequences via the "Cinematic Studio" "Feature". I assume doing it that way I should have compatible versions of Sequences, Timeline, Cinemachine, Recorder etc without having to think too much... which is good in my case ;-)

    But no idea the minimum version of Unity needed.

    upload_2021-8-31_8-1-40.png

    I must admit working out the com.unity.sequences etc package names (and that you can type that into the GitHub URL) is not very clear to me. Its hard to work out the package names at times. It would be nice to include them in the documentation with packages.
     
  5. ellka

    ellka

    Unity Technologies

    Joined:
    Jun 17, 2019
    Posts:
    71
    The minimum requirements are in the doc in doubt.

    Unity 2020.3 is indeed the minimum version of Unity needed. If you follow Marc's steps you're good.

    But as akent99 mentioned, in 2021+, the Sequences package is more easily discoverable. The Feature Set is a good entry point, or you can simply search for Sequences specifically (in case you don't need Alembic, FBX, Cinemachine).

    upload_2021-8-31_17-20-25.png
     
    hunz likes this.
  6. hunz

    hunz

    Joined:
    Oct 16, 2012
    Posts:
    29
    Thank you so much!
     
    marc_tanenbaum likes this.